libzypp 17.38.15

zypp::str::detail::PrintFmt< Ostream, Format > Struct Template Reference

Log helper wrapping the Ostream and Format. More...

`#include <zypp-core/base/LogTools.h>`

## Public Member Functions
| PrintFmt (Ostream &str, const Format &fmt)
template<typename... Args>
Ostream & | operator() (Args &&... args)

## Private Attributes
Ostream & | _str
const Format & | _fmt

## Detailed Description

template<typename Ostream, typename Format>
struct zypp::str::detail::PrintFmt< Ostream, Format >

Log helper wrapping the Ostream and Format.

Aiming for pXXX( args... ) writing to log stream XXX. Getting the logstream remembers file, function and line, so we need #defines to get the stream at the code location writing the log line.

Definition at line 297 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ PrintFmt()

template<typename Ostream, typename Format>

zypp::str::detail::PrintFmt< Ostream, Format >::PrintFmt | ( | Ostream & | str,
|  | const Format & | fmt )
| inline

Definition at line 298 of file LogTools.h.

## Member Function Documentation

## ◆ operator()()

template<typename Ostream, typename Format>
template<typename... Args>

Ostream & zypp::str::detail::PrintFmt< Ostream, Format >::operator() | ( | Args &&... | args | ) |
| inline

Definition at line 304 of file LogTools.h.

## Member Data Documentation

## ◆ _str

template<typename Ostream, typename Format>

Ostream& zypp::str::detail::PrintFmt< Ostream, Format >::_str
| private

Definition at line 308 of file LogTools.h.

## ◆ _fmt

template<typename Ostream, typename Format>

const Format& zypp::str::detail::PrintFmt< Ostream, Format >::_fmt
| private

Definition at line 309 of file LogTools.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/LogTools.h